Get case settings
- Base URL
-
https://{kibana_url}
- GET /api/cases/configure
- GET /s/{space_id}/api/cases/configure
Get setting details such as the closure type, custom fields, templatse, and the default connector for cases. You must have read privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where the cases were created.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Indicates a successful call.
<array>object[]-
closure_typeenum -
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user). -
Values:
close-by-pushingclose-by-user -
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API. -
customFieldsobject[] -
Custom fields configuration details.
-
ownerenum -
The application that owns the cases: Stack Management, Observability, or Elastic Security.
-
Values:
casesobservabilitysecuritySolution -
templatesobject[] -
caseFieldsobject -
assigneesobject[] · max items: 10nullable -
An array containing users that are assigned to the case.
-
connectorobject -
fieldsobjectnullable -
The fields specified in the case configuration are not used and are not propagated to individual cases, therefore it is recommended to set it to
null. -
idstring -
The identifier for the connector. If you do not want a default connector, use
none. To retrieve connector IDs, use the find connectors API.